.top-copy {
    text-align: center;
    margin-bottom: 2rem;
}

.close-modal svg path {
    fill: #fff;
}

.top-copy p {
    max-width: 400px;
    margin: 0px auto;
    font-size: 18px;
}

.flavor-finder-search {
    background-color: #001722;
    padding: 40px 20px;
}

.flavor-finder-search label {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    color: #fff;
    margin-bottom: 20px;
    font-weight: 500;
    font-size: 30px;
    line-height: 33px;
}

.flavor-finder-search input {
    background-color: #fff;
    margin-bottom: 10px;
    padding: 10px;
    height: 50px;
    color: #000;


}

.flavor-finder-search input::placeholder {
    color: #888;
}

.flavor-finder-search label span {
    max-width: 230px;
}

.flavor-finder-search button {
    width: 100%;
}

.begin-flavor-finder *, .select-product-group * {
    position: relative;
    z-index: 1;
}

.begin-flavor-finder {
    background-color: #ED1C24;
    padding: 40px 20px;
    text-align: center;
    position: relative;
}

.begin-flavor-finder::before, .select-product-group::before {
    content : "";
    opacity: .4;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 0;
    position: absolute;
    background-image: url('/wp-content/themes/evergreen/assets/images/PerrysStamp.svg');
    background-repeat: no-repeat;
    background-size: 200%;
    background-position: 50% 50%;
}

.begin-flavor-finder h2 {
    margin-top: 0px;
}

.select-product-group {
    position: relative;
    background-color: #ED1C24;
    padding: 40px 20px;
    z-index: 1;
}

.product-group-options {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.product-group-options .product-group-option {
    width: calc(50% - 10px);
}



.product-group-options label {
    width: 100%;
    height: 100%;
    background-color: #fff;
    color: #ED1C24;
    border: none;
    padding: 15px;
    cursor: pointer;
    border-radius: 5px;
    text-transform: uppercase;
    font-size: 16px;
    font-weight: 500;
    border: 3px solid #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    transition: all .3s;
}

.product-group-options .product-group-option:last-of-type {
    width: 100%;
}

.product-group-options .product-group-option:last-of-type label{
    background-color: #000;
    border-color: #000;
    color: #fff;
}

.product-group-options .product-group-option label:hover {
    box-shadow: 6px 6px 2px 0 rgba(0, 0, 0, 0.20);
}

.product-group-options .product-group-option:last-of-type label:hover, .product-group-options .product-group-option:last-of-type input:checked + label {
    border-color: #fff;
}


.product-group-options label:hover, .product-group-options input:checked + label {
    border-color: #000;
}

.product-group-options .product-group-option input {
    display: none;
}

.flavor-finder-results .flavor-finder-products {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.flavor-finder-results {
    background-color: #fff;
    padding: 40px 20px;
}

.flavor-finder-products .flavor-finder-product {
    width: calc(50% - 10px);

    .size {
        font-size: 12px;
        opacity: .5;
    }
}

.flavor-finder-products .flavor-finder-product button {
    width: 100%;
    background-color: transparent;
    border: none;
    padding: 0px;
    cursor: pointer;
    font-family: "Lexend", sans-serif;
    font-size: 14px;
    text-align: center;
    color: #232323;
}

.flavor-finder-products .flavor-finder-product button img.product-shot {
    max-width: 100%;
    max-height: 100%;
    width: auto;
    height: auto;
    display: block;
}

.flavor-finder-products .flavor-finder-product button img.extra-indulgent-badge {
    position: absolute;
    top: 0px;
    right: 15px;
}

.flavor-finder-product-image-wrapper {
    position: relative;
    width: 160px;
    height: 140px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0px auto;
    padding-bottom: 10px;
}

.flavor-finder-filters, .search-results {
    background-color: #fff;
    color: #000;
    padding: 10px 20px;
    border-bottom: 1px solid #232323;
}


.gm-style-iw-d, .gm-style {
    color: #232323!important;
}

.finder-modal .locations::after {
    content: " ";
    display: block;
    height: 35px;
    position: absolute;
    width: 100%;
    bottom: 295px;
    background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0), rgba(237, 29, 37, 1));
    left: 0px;
}

.flavor-finder-loader {
    background-color: #232323;
    display: block;
    height: 100%;
    left: 0;
    margin-bottom: 0;
    opacity: .98;
    pointer-events: none;
    position: fixed;
    text-align: center;
    top: 0;
    transition: opacity .5s ease-in-out;
    width: 100%;
    z-index: 5;
}

.flavor-finder-loader .scoop-animation {
    background: url(../images/IceCreamScoopStackLoader-scaled.png);
    background-repeat: no-repeat;
    background-size: auto 100%;
    height: 270px;
    margin: auto;
    width: 93px;
    position: relative;
    top: calc(50vh - 135px);
    animation-duration: 2.4s;
    animation-iteration-count: infinite;
    animation-name: scoop-stack;
    animation-timing-function: steps(4);
}

@keyframes scoop-stack {
    0% {
        background-position: 0;
    }

    to {
        background-position: -410px;
    }
}

.flavor-finder-filters .desktop-hide, .search-results {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

body main.site-content p.product-group-picked {
    margin: 0px;
    padding-left: 0px;
}

.desktop-hide .back, .search-results .back {
    appearance: none;
    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
    margin: 0;
    font-family: "Lexend", sans-serif;
    text-transform: uppercase;
    display: flex;
    align-items: center;
    justify-content: center;
}

.desktop-hide .back span, .search-results .back span {
    font-size: 16px;
}

.desktop-hide .back svg, .search-results .back svg {
    margin-right: 5px;
}

.desktop-hide .back svg path, .search-results .back svg path {
    fill: #ED1C24;
}

body main.site-content .search-results p {
    margin: 0px;
    padding: 0px;
}

.search-results p span.count {
    color: #ED1C24;
    font-weight: 500;
}

.flavor-finder-filter-grouping {
    display: flex;
    gap: 20px;
    align-items: center;
    justify-content: space-between;;
}

.flavor-finder-filter-grouping label {
    font-size: 16px;
    display: block;
}

.flavor-finder-filter-grouping .filter-mobile-grouping .filter-group:first-of-type {
    margin-bottom: 10px;
}

.flavor-finder-filter-grouping .filter-mobile-grouping label {
    color: #ED1C24;
    margin-bottom: 0px;
}

.flavor-finder-filter-grouping select {
    display: block;
    padding: 5px;
    font-size: 16px;
    background-color: #fff;
    border: 1px solid #000;
}

.flavor-finder-filter-grouping input {
    font-size: 16px;
    accent-color: #ED1C24;
}

.select-product-group .back {
    font-family: "Lexend", sans-serif;
    text-transform: uppercase;
    letter-spacing: 2px;
    background-color: transparent;
    border: none;
    text-align: center;
    color: #fff;
    font-size: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    float: right;
}

.clear {
    font-family: "Lexend", sans-serif;
    text-transform: uppercase;
    letter-spacing: 2px;
    background-color: transparent;
    border: none;
    text-align: center;
    color: #fff;
    font-family: 16px;
    width: 100%;
}

.select-product-group h2 {
    text-align: center;
}

.flavor-finder-wildcard {
    padding: 20px;
    background-color: #fff;    
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #232323;
}

.flavor-finder-wildcard .back, .flavor-finder-wildcard .new-wildcard {
    font-family: "Lexend", sans-serif;
    text-transform: uppercase;
    letter-spacing: 2px;
    background-color: transparent;
    border: none;
    text-align: center;
    color: #ED1C24;
    font-size: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    float: right;
}

.flavor-finder-wildcard .back svg, .flavor-finder-wildcard .new-wildcard svg {
    display: block;
    width: 20px;
}

.flavor-finder-wildcard .back svg path, .flavor-finder-wildcard .new-wildcard svg path {
    fill: #ED1C24;
}

.flavor-finder-wildcard-start {
    text-align: center;
    padding: 40px 20px;
    background-image: url('../images/IceCreamTexture.jpg');
    background-size: cover;
}

.flavor-finder-wildcard-start button {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    margin: 0px auto;
    background-color: #000;
    border: 3px solid #fff;
    border-radius: 10px;
}

.mobile-hide {
    display: none;
}

.flavor-finder-products .flavor-finder-product:only-of-type {
    width: 100%;
}

.flavor-finder-products .flavor-finder-product:only-of-type .flavor-finder-product-image-wrapper {
    width: 200px;
    height: 180px;
}

.flavor-finder-no-results {
    text-align: center;
}


/* MODAL */

.finder-modal {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #1C1C1C;
}

.finder-modal .finder-modal-inner {
    max-width: 500px;
    width: 100%;
    background-color: #292929;
    padding: 20px;
}

.finder-modal-inner .finder-modal-product-image {
    height: 140px;
    width: 120px;
    display: flex;
    align-items: center;
    justify-content: center;
}


.finder-modal-inner .finder-modal-product-image img {
    max-width: 100%;
    max-height: 100%;
}

.finder-modal-product-info {
    max-width: 220px;

    .size {
        font-size: 14px;
        opacity: .5;
        display: block;
        margin-top: 5px;
    }
}

.finder-modal .desktop-left {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 30px;
}

body main.site-content .finder-modal  .desktop-left h3 {
    font-size: 30px;
    padding: 0px;
    margin: 0px;
    margin-bottom: 10px;
}

.finder-modal .tabs {
    display: flex;
    gap: 5px;
    margin-bottom: -1px;
}

.finder-modal .tabs button {
    appearance: none;
    border: none;
    padding: 10px;
    text-decoration-line: underline;
    font-family: 'Lexend', 'sans-serif';
    border-radius: 10px 10px 0 0;
    color: #ED1C24;
    transition: all .1s;
}

.finder-modal .tabs button.active {
    color: #fff;
    background: #ED1C24;
}

.finder-modal .tab-contents {
    background-color: #ED1C24;
    border-radius: 0px 0px 10px 10px;
    overflow: hidden;
}

.finder-modal .tab-contents .tab-content {
    position: relative;
    padding-top: 20px;
    display: none;
}

.finder-modal .tab-contents .tab-content.active{
    display: block;
}


.finder-modal .tab-contents h4 {
    font-weight: 700;
    font-size: 20px;
    margin: 0px;
    margin-bottom: 10px;
}

.finder-modal .tab-contents p.disclaimer {
    font-size: 14px;
}

.finder-modal .locations {
    max-height: 300px;
    overflow: scroll;
}

.finder-modal .locations a.location {
    box-sizing: border-box;
    padding-bottom: 10px;
    color: #fff;
    text-decoration: none;
    display: block;
    margin: 15px 0px;
}


.finder-modal .locations a.location:first-of-type {
    margin-top: 0px;
} 

.finder-modal .locations .location h4 {
    font-size: 18px;
}

.finder-modal .locations .location p {
    font-size: 14px;
}

.finder-modal .map-inner {
    height: 300px;
    background-image: url('/wp-content/themes/evergreen/assets/images/Map.png');
    background-size: cover;
}

.zip-code-input-wrapper {
    background-color: rgba(0,0,0,.5);
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.zip-code-input {
    max-width: 90%;
    padding: 20px;
    text-align: center;
    background-color: #140C19;
    border-radius: 15px;
}

.zip-code-input input {
    background-color: #fff;
    color: #000;
    padding: 0px;
    height: 50px;
    padding-left: 10px;
}

.zip-code-input .form {
    display: flex;
    align-items: start;
    justify-content: center;
    width: 185px;
    margin: 0px auto;
}

.zip-code-input label {
    line-height: 20px;
    font-size: 20px;
    display: block;
    margin-bottom: 15px;
}

.zip-code-input button {
    appearance: none;
    border: none;
    height: 50px;
    width: 50px;
    background-color: #ED1C24;
}

.close-modal {
    appearance: none;
    border: none;
    background-color: transparent;
    width: 25px;
    height: 25px;
    cursor: pointer;
}

.change-zip {
    appearance: none;
    background: transparent;
    border: none;
    width: 25px;
    height: 25px;
    cursor: pointer;
}

.online-retailers, .no-retailers {
    padding: 20px;
    padding-top: 0px;
}

.online-retailers {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.online-retailers .retailer {
    width: calc(50% - 5px);
    border-radius: 10px;
    overflow: hidden;
    display: block;
}

.online-retailers .retailer img {
    display: block;
    width: 100%;
}

.finder-modal .finder-modal-product-sizes {
    display: flex;
    gap: 5px;
    margin: 10px 0px;
}

.finder-modal .finder-modal-product-sizes button {
    appearance: none;
    border: none;
    font-family: 'Lexend';
    background-color: fff;
    border-radius: 5px;
    padding: 10px;
    text-transform: uppercase;
    letter-spacing: 2px;
    cursor: pointer;
}

.no-locations + .map {
    display: none;
}

[v-cloak] {
  display: none;
}

.flavor-finder-pages-link {
    display: flex;
    flex-wrap: no-wrap;
    overflow: scroll;
    gap: 30px;
    padding: 30px 20px;
    scroll-snap-type: x mandatory;
    scrollbar-width: none;


    .page {
        scroll-snap-align: center;
        text-align:center;
        background: rgba(25, 25, 25, 0.75);
        min-width: 280px;
        padding-bottom: 20px;

        h3 {
            font-size: 30px;
            margin-top: 10px;
            padding: 0px 15px;
            margin-bottom: 20px;
        }

        a {
            display: block;
            height: auto;
            max-width: 170px;
            margin: 0px auto;
        }

        img {
            width: 100%;
        }
    }

}

.above-page-post-copy p {
    text-align: center;
    max-width: 465px;
    margin: 0px auto;
    padding-top: 20px;
}

.flavor-finder-posts {
    display: flex;
    flex-wrap: nowrap;
    overflow-y: scroll;
    gap: 30px;
    padding: 0px 20px;
    scroll-snap-type: x mandatory;
    scrollbar-width: none;

    .post {
        scroll-snap-align: center;
        position: relative;
        min-width: 85%;
         background: rgba(25, 25, 25, 0.75);
        height: 100%;

        .post-image {
            width: 100%;
            height: 215px;
            background-size: cover;
            position: relative;
            background-position: center;
        }

        .post-copy {
            padding: 30px 20px;

            .post-date {
                font-size: 15px;
                color: #737373;
            }

            h4, p {
                margin: 0px;
                padding-left: 0px!important;
                padding-right: 0px!important;
            }

            h4 {
                margin: 20px 0px;
            }
        }

        a {
            margin-top: 20px;
            height: auto;
        }
    }
}

#map_content {
    height: 100%;
    width: 100%;
}



@media (min-width: 1200px) {

    .flavor-finder-wrapper {
        display: flex;
        max-height: 700px;
        height: 700px;
    }

    .flavor-finder-search, .begin-flavor-finder {
        height: 350px;
        display:flex;
        align-items: center;
        justify-content: center;
    }

    .flavor-finder-search button, .begin-flavor-finder button {
        height: auto;
        display: block;
        margin: 0px auto;
    }

    .flavor-finder-search label span {
        max-width: 300px;
        text-align: center;
    }

    .flavor-finder-search label, .flavor-finder-search input, .flavor-finder-search button {
        max-width: 400px;
        margin: 0px auto;
        display: block;
    }

    .flavor-finder-search label {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 40px;
    }

    .flavor-finder-search input {
        margin-bottom: 20px;
    }

    .flavor-finder-search.mobile-hide {
        display: flex;
    }

    .begin-flavor-finder .icon-title {
        display: flex;
        align-items: center;
        width: 450px;
        margin: 0px auto;
        margin-bottom: 30px;
    }

    .begin-flavor-finder .icon-title svg {
        width: 175px;
    }

    .flavor-finder-path-selection {
        width: 50%;
        min-height: 100%;
    }

    .desktop-right {
        width: 55%;
        min-height: 100%;
    }

    .begin-flavor-finder h2 {
        font-size: 30px;
        margin-bottom: 10px;
    }

    body main.site-content p.desktop-find-copy {
        padding: 0px;
        font-size: 20px;
    }

    .flavor-finder-wildcard-start {
        height: 100%;     
        display: flex;   
        justify-content: center;
        align-items: center;
    }

    .flavor-finder-wildcard-inner p {
        font-size: 30px;
        font-weight: 500;
        max-width: 500px;
    }

    .select-product-group {
        min-height: 100%;
    }

    .mobily-only {
        display: none;
    }

    .filter-mobile-grouping {
        display: flex;
        gap: 45px;
        justify-content: space-between;
    }

    .top {
        height: 93px;
    }

    .flavor-finder-results {
        height: calc(100% - 92px);
        overflow: scroll;
    }

    .mobile-hide {
        display: block;
    }

    .mobile-hide.desktop-flex {
        display: flex;
    }

    .desktop-hide {
        display: none !important;
    }

    .flavor-finder-wildcard {
        height: 100%;
    }

    .finder-modal {
        background-color: rgba(0, 0, 0, 0.50);
        position: fixed;
        width: 100%;
        height: 100%;
        top: 0px;
        left: 0px;
        z-index: 1;
    }

    .finder-modal .finder-modal-inner {
        width: 90%;
        max-width: 1200px;
        display: flex;
        border-radius: 15px;
        position: relative;
        justify-content: space-between;
        align-items: center;
        height: 700px;
        margin-top: 100px;
    }

    .finder-modal .finder-modal-inner .close-modal {
        position: absolute;
        top: 15px;
        right: 15px;
    }

    .finder-modal .desktop-left {
        display: block;
        max-width: 45%;
        padding: 30px;
        box-sizing: border-box;;
    }

    .finder-modal .tab-contents {
        border-radius: 0px 10px 10px 10px;
    }

    .finder-modal .finder-modal-product-info {
        max-width: none;
        margin-top: 10px;
    }

    .finder-modal p.finder-modal-product-short-description {
        padding: 0px;
        font-size: 16px;
    }

    .finder-modal .desktop-right {
        min-height: 0px;
    }

    .finder-modal .locations {
        height: 198px;
        display: flex;
        gap: 10px;
        flex-wrap: wrap;
        padding: 0px 30px;
    }

    .finder-modal .locations a.location {
        width: calc(50% - 5px);
        margin: 0px;
    }

    .finder-modal .locations .location h4, .finder-modal .locations .location p {
        padding: 0px!important;
        max-width: 90%;
    }

    #map_content {
        height: 100%;
        width: 100%;
    }

    .finder-modal .tab-contents .tab-content {
        height: 625px;
    }

    .top .search-results p {
        font-size: 16px;
    }

    p.desktop-find-copy {
        max-width: 300px;
        margin: 0px auto;
    }

    .select-product-group h2 {
        max-width: 450px;
        margin: 0px auto;
        padding-bottom: 30px;
    }
    .finder-modal-inner .finder-modal-product-image {
        height: 220px;
        width: 220px;
        display: flex;
        align-items: start;
        justify-content: start;
    }

    .zip-code-input-wrapper {
        margin-top: 231px;
    }

    .flavor-finder-pages-link {
        padding: 30px 0px;
        
        .page {
            width: 25%;
        }
    }

    .flavor-finder-posts {
        padding: 0px;

        .post {
            width: calc(33.33% - 15px);
            min-width: auto;
            flex-grow: 1;
            height: auto;

            .post-copy {
                padding: 50px 35px;
            }
        }
    }
}

